changeset 30580:c39cd490c5ab

Silence the parse-duration test.
author Bruno Haible <bruno@clisp.org>
date Tue, 16 Dec 2008 23:56:20 +0100
parents 35906f1cfe75
children c1bcf9aefbad
files ChangeLog tests/test-parse-duration.sh
diffstat 2 files changed, 6 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Tue Dec 16 11:50:34 2008 -0800
+++ b/ChangeLog	Tue Dec 16 23:56:20 2008 +0100
@@ -1,3 +1,8 @@
+2008-12-16  Bruno Haible  <bruno@clisp.org>
+
+	* tests/test-parse-duration.sh: Produce no output when the test
+	succeeds.
+
 2008-12-16  Bruno Haible  <bruno@clisp.org>
 
 	* tests/test-parse-duration.sh: Fix quoting of $tmp and $tmpf
--- a/tests/test-parse-duration.sh	Tue Dec 16 11:50:34 2008 -0800
+++ b/tests/test-parse-duration.sh	Tue Dec 16 23:56:20 2008 +0100
@@ -59,13 +59,10 @@
 	P 1-2-25 T 5:6:7
 	_EOF_
 
-ls -l "${tmpf}"
-
 exec 3< "${tmpf}"
 while read -u3 line
 do
-    v=`${exe} "${line}"` || die "Failed: ${exe} '${line}'"
+    v=`${exe} "${line}"` || { ls -l "${tmpf}"; die "Failed: ${exe} '${line}'"; }
     test $v -eq 38898367 || die $v is not 38898367
-    echo OK: ${line}
 done
 exec 3>&-